package visual{
	import flash.display.Sprite;
	
	public class Tile extends Sprite{
		
		private var _type:uint;
		private var _locationX:uint;
		private var _locationY:uint;
		
		// colors of tiles
		static private var TILE_TYPES:Array = [0xDDDDDD,0xFF00AA,0xCC00CC,0xCCCC00,0x3300FF];
		private const TILE_SIZE:uint = 10;
			
		public function Tile(type:uint,locationX:uint,locationY:uint){
			// get parameters 
			_type = type;
			_locationX = locationX;
			_locationY = locationY;
			//draw a square 
			graphics.lineStyle(1,0x000000,0.2);
			// different color by type parameter 
			graphics.beginFill(	TILE_TYPES[_type],1);
			graphics.drawRect(0,0,TILE_SIZE,TILE_SIZE);
			graphics.endFill();
			x=TILE_SIZE*_locationX;
			y=TILE_SIZE*_locationY;
		}
		
		public function get type():uint{
			return _type;
		}
		public function get locationX():uint{
			return _locationX;
		}
		public function get locationY():uint{
			return _locationY;
		}
	}
}